Update Product Assets
curl --request PUT \
--url https://api.royalti.io/product/{id}/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assets": [
{
"asset": "asset-id-1",
"number": 1
},
{
"asset": "asset-id-2",
"number": 2
}
]
}
'import requests
url = "https://api.royalti.io/product/{id}/assets"
payload = { "assets": [
{
"asset": "asset-id-1",
"number": 1
},
{
"asset": "asset-id-2",
"number": 2
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assets: [{asset: 'asset-id-1', number: 1}, {asset: 'asset-id-2', number: 2}]})
};
fetch('https://api.royalti.io/product/{id}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Assets added to Products"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}Product
Update Product Assets
/product//assets
PUT
/
product
/
{id}
/
assets
Update Product Assets
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
/product//assets Description: The/product/{id}/assets endpoint updates the assets associated with a specific product. It replaces all existing asset associations with the provided list.
Method:
PUT
Path Parameter:
| Parameter | Type | Description |
|---|---|---|
| id | string | The unique identifier of the product. |
| Parameter | Type | Description |
|---|---|---|
| assets | array | Array of asset objects to associate with the product. |
| Parameter | Type | Description |
|---|---|---|
| asset | string | The ID of the asset to associate. |
| number | integer | The track number for this asset in the product. |
Code Examples
const response = await fetch('https://api.royalti.io/product/example-id/assets', {
method: 'PUT',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"assets": [
{
"asset": "sample-asset",
"number": 1
}
]
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
'https://api.royalti.io/product/example-id/assets',
headers={
'Authorization': f'Bearer {token}'
},
json={"assets":[{"asset":"sample-asset","number":1}]}
)
data = response.json()
print(data)
curl -X PUT https://api.royalti.io/product/example-id/assets \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"assets":[{"asset":"sample-asset","number":1}]}'
⌘I